Package icyllis.arc3d.core

# Class StrikeDesc

java.lang.Object
icyllis.arc3d.core.StrikeDesc

public final class StrikeDesc extends Object
Descriptor of font strike.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kFrameAndFill_Flag`
  `static final int`
  `kLinearMetrics_Flag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrikeDesc()`
  `StrikeDesc(StrikeDesc other)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StrikeDesc`
  `copy()`
  `ScalerContext`
  `createScalerContext()`
  `boolean`
  `equals(Object o)`
  `Strike`
  `findOrCreateStrike()`
  `Strike`
  `findOrCreateStrike(StrikeCache cache)`
  `void`
  `getDeviceMatrix(Matrix dst)`
  `int`
  `getFlags()`
  `float`
  `getFrameWidth()`
  `void`
  `getLocalMatrix(Matrix dst)`
  `byte`
  `getMaskFormat()`
  `long`
  `getMemorySize()`
  `float`
  `getMiterLimit()`
  `PathEffect`
  `getPathEffect()`
  `float`
  `getPostScaleX()`
  `float`
  `getPostScaleY()`
  `float`
  `getPostShearX()`
  `float`
  `getPostShearY()`
  `int`
  `getStrokeJoin()`
  `float`
  `getTextSize()`
  `void`
  `getTotalMatrix(Matrix dst)`
  `int`
  `hashCode()`
  `static float`
  `round_mat_elem(float x)`
  Return the scalar with only limited fractional precision.
  `StrikeDesc`
  `update(Font font, Paint paint, Matrixc deviceMatrix)`
  `StrikeDesc`
  `updateForMask(Font font, Paint paint, Matrixc deviceMatrix)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kFrameAndFill_Flag

    public static final int kFrameAndFill_Flag
    See Also:
      - Constant Field Values

  - ### kLinearMetrics_Flag

    public static final int kLinearMetrics_Flag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StrikeDesc

    public StrikeDesc()

  - ### StrikeDesc

    public StrikeDesc(StrikeDesc other)

- ## Method Details

  - ### round_mat_elem

    public static float round_mat_elem(float x)
    Return the scalar with only limited fractional precision. Used to consolidate matrices that vary only slightly when we create our key into the font cache, since the font scaler typically returns the same looking results for tiny changes in the matrix.

  - ### update

    @Nonnull public StrikeDesc update(@Nonnull Font font, @Nullable Paint paint, @Nonnull Matrixc deviceMatrix)

  - ### updateForMask

    @Nonnull public StrikeDesc updateForMask(@Nonnull Font font, @Nonnull Paint paint, @Nonnull Matrixc deviceMatrix)

  - ### getLocalMatrix

    public void getLocalMatrix(Matrix dst)

  - ### getDeviceMatrix

    public void getDeviceMatrix(Matrix dst)

  - ### getTotalMatrix

    public void getTotalMatrix(Matrix dst)

  - ### getTextSize

    public float getTextSize()

  - ### getPostScaleX

    public float getPostScaleX()

  - ### getPostScaleY

    public float getPostScaleY()

  - ### getPostShearX

    public float getPostShearX()

  - ### getPostShearY

    public float getPostShearY()

  - ### getFrameWidth

    public float getFrameWidth()

  - ### getMiterLimit

    public float getMiterLimit()

  - ### getMaskFormat

    public byte getMaskFormat()

  - ### getStrokeJoin

    public int getStrokeJoin()

  - ### getFlags

    public int getFlags()

  - ### getPathEffect

    public PathEffect getPathEffect()

  - ### findOrCreateStrike

    @Nonnull public Strike findOrCreateStrike()

  - ### findOrCreateStrike

    @Nonnull public Strike findOrCreateStrike(@Nonnull StrikeCache cache)

  - ### createScalerContext

    @Nonnull public ScalerContext createScalerContext()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### copy

    @Nonnull public StrikeDesc copy()

  - ### getMemorySize

    public long getMemorySize()